Last Comment Bug 379383 - [FIX]Testcase from bug 348185 triggers ASSERTION: NS_BLOCK_HAS_FIRST_LETTER_STYLE state out of sync
: [FIX]Testcase from bug 348185 triggers ASSERTION: NS_BLOCK_HAS_FIRST_LETTER_S...
Status: RESOLVED FIXED
: assertion, fixed1.8.1.8, testcase
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: mozilla1.9alpha5
Assigned To: Boris Zbarsky [:bz] (TPAC)
:
Mentors:
Depends on:
Blocks: 362901
  Show dependency treegraph
 
Reported: 2007-05-01 12:36 PDT by Martijn Wargers [:mwargers] (not working for Mozilla)
Modified: 2007-08-22 10:33 PDT (History)
2 users (show)
dveditz: wanted1.8.1.x+
dveditz: wanted1.8.0.x+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Better assert (2.52 KB, patch)
2007-05-01 16:59 PDT, Boris Zbarsky [:bz] (TPAC)
dbaron: review+
dbaron: superreview+
Details | Diff | Splinter Review

Description Martijn Wargers [:mwargers] (not working for Mozilla) 2007-05-01 12:36:05 PDT
The testcase from bug 348185 triggers 2 times this assertion for me, while loading:
###!!! ASSERTION: NS_BLOCK_HAS_FIRST_LETTER_STYLE state out of sync: 'GetPrevCon
tinuation() || (GetStyleContext()->GetPseudoType() == nsCSSAnonBoxes::mozAnonymo
usBlock) || (nsRefPtr<nsStyleContext>(GetFirstLetterStyle(presContext)) != nsnul
l) == ((mState & NS_BLOCK_HAS_FIRST_LETTER_STYLE) != 0)', file c:/mozilla/mozill
a/layout/generic/nsBlockFrame.cpp, line 5959

This assertions seems to have been added in the patch for bug 362901.
Comment 1 Boris Zbarsky [:bz] (TPAC) 2007-05-01 16:59:02 PDT
Created attachment 263405 [details] [diff] [review]
Better assert

I'm not that happy with this, but I can't think of a better way to write this assert...
Comment 2 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2007-05-01 22:07:37 PDT
Comment on attachment 263405 [details] [diff] [review]
Better assert

r+sr=dbaron, although you might want to mention {ib} splits as specifically disallowed in the comment
Comment 3 Boris Zbarsky [:bz] (TPAC) 2007-05-02 13:32:24 PDT
Checked in, with that change.
Comment 4 Daniel Veditz [:dveditz] 2007-06-21 11:01:06 PDT
Not needed for branch unless we take bug 362901
Comment 5 Boris Zbarsky [:bz] (TPAC) 2007-08-22 10:33:33 PDT
Fixed for 1.8.1.7 by checkin for bug 362901.

Note You need to log in before you can comment on or make changes to this bug.